Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tapestry5.beaneditor
Class DataTypeConstants

    java.lang.Object
      org.apache.tapestry5.beaneditor.DataTypeConstants

    public class DataTypeConstants

extends java.lang.Object

Defines the names of data types used to select an editor (or display) block for a property.

Since:
  5.3
See Also:
  `DataType`

Field Summary
`static java.lang.String` | `BOOLEAN` Used for boolean properties.
`static java.lang.String` | `CALENDAR` Used to render a JavaScript calendar for a `Calendar` property.
`static java.lang.String` | `DATE` Used to render a JavaScript calendar for a `Date` property.
`static java.lang.String` | `ENUM` Used for `Enum`s.
`static java.lang.String` | `LONG_TEXT` Used to render a textarea field for a `String` property.
`static java.lang.String` | `NUMBER` Used for properties of `Number` type.
`static java.lang.String` | `PASSWORD` Used to render a password field for a `String` property.
`static java.lang.String` | `TEXT` Used for `String` properties.

Constructor Summary
`DataTypeConstants()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TEXT

    public static final java.lang.String TEXT

  Used for `String` properties.

  See Also:
    Constant Field Values

### NUMBER

    public static final java.lang.String NUMBER

  Used for properties of `Number` type.

  See Also:
    Constant Field Values

### ENUM

    public static final java.lang.String ENUM

  Used for `Enum`s.

  See Also:
    Constant Field Values

### BOOLEAN

    public static final java.lang.String BOOLEAN

  Used for boolean properties.

  See Also:
    Constant Field Values

### DATE

    public static final java.lang.String DATE

  Used to render a JavaScript calendar for a `Date` property.

  See Also:
    Constant Field Values

### CALENDAR

    public static final java.lang.String CALENDAR

  Used to render a JavaScript calendar for a `Calendar` property.

  See Also:
    Constant Field Values

### PASSWORD

    public static final java.lang.String PASSWORD

  Used to render a password field for a `String` property.

  See Also:
    Constant Field Values

### LONG_TEXT

    public static final java.lang.String LONG_TEXT

  Used to render a textarea field for a `String` property.

  See Also:
    Constant Field Values

Constructor Detail

### DataTypeConstants

    public DataTypeConstants()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2012 The Apache Software Foundation.